Bug 1276216 - Pod terminal page didn't adjust automatically to fit its size with browser window [NEEDINFO]
Pod terminal page didn't adjust automatically to fit its size with browser wi...
Status: VERIFIED
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Steve Goodwin
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 02:25 EDT by yapei
Modified: 2017-06-22 03:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforrest: needinfo? (stefw)


Attachments (Terms of Use)
Button in lower left corner (34.98 KB, image/png)
2015-10-29 02:25 EDT, yapei
no flags Details
iPhone6Terminal (43.78 KB, image/png)
2016-11-10 01:49 EST, yapei
no flags Details
Position of reconnect icon corrected (78.64 KB, image/png)
2017-06-21 11:13 EDT, Robb Hamilton
no flags Details

  None (edit)
Description yapei 2015-10-29 02:25:05 EDT
Description of problem:
When browser window width is less than 702, the re-connect button on 'Terminal' page of pod was pushed to the lower left corner. 

Version-Release number of selected component (if applicable):
oc v1.0.6-1053-gbd6a762
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

How reproducible:
Always

Steps to Reproduce:
1.Create a template
$ oc create -f https://raw.githubusercontent.com/openshift/origin/master/examples/sample-app/application-template-stibuild.json
2. Create app from template from web console
3. Wait for all pods to be running
4. Open 'Terminal' page for one pod
5. Resize the browser window 

Actual results:
When browser window width is less than 702, the re-connect button on 'Terminal' page of pod was pushed to the lower left corner, see attachment

Expected results:
re-connect button should always shows at the right position 

Additional info:
702 is not a precise value, but it's very close to the correct one
Comment 1 yapei 2015-10-29 02:25 EDT
Created attachment 1087384 [details]
Button in lower left corner
Comment 2 Jessica Forrester 2016-02-01 15:32:27 EST
Because the terminal-actions and terminal-wrapper divs are both inline-block, when you get to a certain screen resolution the second div (actions) drops to the next line, and then the relative positioning pushes it to the left, cutting it off.  I would propose moving the terminal-actions to the bottom left instead of the top right, we can then use position: absolute instead of position relative and it will always stay in the same position.

But since this is a change to a common widget I'd like sign-off from @stefw before moving forward with the fix.
Comment 3 Jessica Forrester 2016-11-08 11:19:11 EST
This was fixed back in 3.3
Comment 4 yapei 2016-11-10 01:48:38 EST
Checked on v1.4.0-alpha.1+43fbf69-133 & OCP 3.3.1.4

Pod Terminal are not fully shown on iPhone 6, please check attachment

Assigning back
Comment 5 yapei 2016-11-10 01:49 EST
Created attachment 1219191 [details]
iPhone6Terminal
Comment 6 yapei 2016-11-10 01:51:46 EST
//div[@class="terminal"] are not fully displayed when browser width changes to smaller
Comment 7 Jessica Forrester 2016-11-10 08:20:34 EST
The terminal extending out is intentional, we require a minimum number of columns (80), you should be able to scroll over using the swipe gesture to see the rest of the terminal.

The location of the reconnect icon at this screen width is a little weird though, we'll take another look at that.
Comment 8 Jessica Forrester 2016-12-08 16:49:06 EST
Steve can you take a look at the position of the reconnect icon at mobile.
Comment 9 Robb Hamilton 2017-06-21 11:13 EDT
Created attachment 1290191 [details]
Position of reconnect icon corrected

Was addressed in https://github.com/openshift/origin-web-console/commit/99e338cf2616fe992adfc9c02d123d01eee15c7a
Comment 10 Jessica Forrester 2017-06-21 13:17:03 EDT
origin bug, so moving to ON_QA
Comment 11 shahan 2017-06-22 03:11:57 EDT
Checked this issue in openshift v3.6.122, it was fixed, change this bug status to verified.

Note You need to log in before you can comment on or make changes to this bug.